---
sidebar_position: 17
title: Win Limit
description: Display win and gamble limit notifications in-game.
---

# Win Limit

## Overview

- Shows a win/gamble limit popup during gameplay.
- Win limit notifications can appear in the **main game**.

![Win](../img/05-main-scene/win-limit/overview.png)
![Gamble](../img/05-main-scene/win-limit/overview-gamble.png)

---

## Implementation

### Prefab Location

| Path                                                     | Prefab Name                  |
|----------------------------------------------------------|------------------------------|
| `assets/core-assets/hyper-core/packages/present/prefabs` | `present-win-limit-reached`  |

### Scene Hierarchy

Place the prefab in the following scene structure:

```
Canvas
└── [main-view]
    └── [game-view]
        └── [present-win-limit-reached]
```

![Scene Structure](../img/05-main-scene/win-limit/win-limit-component.png)

---

## Asset Setup

- Drag and drop the required image onto the node in the editor:

![Asset Setup](../img/05-main-scene/win-limit/assets-win-limit.png)

|      Drag Sprite        |     Node Name         |
|-------------------------|-----------------------|
| `you-won`               | `you-won`             |
| `win-limit-reached`     | `win-limit-reached`   |
| `gamble-limit-reached`  | `gamble-limit-reached`|
| `btn-normal`            | `btn-continue`        |
| `text-continue`         | `continue`            |


### Font

- Use a **custom font** to match the win label style for your game theme.

![Font](../img/05-main-scene/win-limit/add-font.png)

---

:::tip
- Follow the game design layout for assets and fonts.
- Win limit configuration may vary by game.
:::
